Show / Hide Table of Contents

# Interface IDalamudPlugin

This interface represents a basic Dalamud plugin. All plugins have to implement this interface.

##### Inherited Members

System.IDisposable.Dispose()

###### Namespace: Dalamud.Plugin

###### Assembly: Dalamud.dll

##### Syntax

    public interface IDalamudPlugin : IDisposable

### Properties

| Improve this Doc View Source

#### Name

Gets the name of the plugin.

##### Declaration

    string Name { get; }

##### Property Value

Type | Description
--- | ---
System.String |

### Methods

| Improve this Doc View Source

#### Initialize(DalamudPluginInterface)

Initializes a Dalamud plugin.

##### Declaration

    void Initialize(DalamudPluginInterface pluginInterface)

##### Parameters

Type | Name | Description
--- | --- | ---
DalamudPluginInterface | pluginInterface | The DalamudPluginInterface needed to access various Dalamud objects.